.modal {
    display: none; 
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 10px;
    width: 50%;
    text-align: center;
}

#pause-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    height: 200px;
    background-color: rgba(255, 255, 255, 0.8);
    border-width: 2px;
    border-style: solid;
    border-color: #333;
    padding: 20px;
    text-align: center;
}
  
#pause-modal p {
    color: #333;
    font-size: 20px;
}
  
#yes-btn,#no-btn{
    background-color: #5cb85c;
    color: #fff;
    font-size: 20px;
    padding: 10px 20px;
    border: 0;
    margin: 10px;
    cursor: pointer;
}
/*not working for now*/
.dimmed {
    opacity: 0.5;
}

#leaderboard {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 300px;
    height: 400px;
    overflow-y: scroll;
    font-family: 'Poppins', sans-serif;
    padding: 10px;
    background-color: white;
    box-shadow: 0 0 10px #ccc;
}

#leaderboard-list {
    list-style-type: none;
}

#leaderboard-list li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    border-bottom: 1px solid #ccc;
}

.username {
    font-weight: bold;
}

.score {
    color: #1e90ff;
}
